# PHC Website

Questo è il repository del sito web del PHC. Il sito è costruito utilizzando Astro, un framework statico per la generazione di siti web.

## Installazione

```bash
bun install
```

## Sviluppo

```bash
bun dev
```

## Build

```bash
bun build
```

## Deploy [TODO]

Il progetto contiene un `Dockerfile` che viene usato per il deploy (del server prodotto da Astro).

```bash
docker build -t phc-website .
docker run -p 3000:3000 phc-website
```

C'è anche un `.drone.yml` che viene usato per il deploy su un server remoto utilizzando Drone per il CD.

## Come Contribuire

**Nota per Sviluppatori**: SE il branch `dev` non esiste o è indietro rispetto a `main`, bisogna portarlo avanti a `main` e poi continuare con le modifiche dal lì.

Sentitevi liberi di aprire una PR per qualsiasi modifica o aggiunta al sito web. Il branch `main` è protetto e corrisponde alla versione di produzione del sito web, le modifiche devono prima essere accettate su `dev` e poi mergeate su `main` da un amministratore.

### Cose da fare

- Aggiungere guide in [src/content/guides/](./src/content/guides/)