---
title: Il Nuovo Sito del PHC
description: Benvenuti nel nuovo sito web del PHC, realizzato in Astro. Vediamo le feature principali e cosa abbiamo in serbo per il futuro.
publishDate: 2024-10-05
---

# Il Nuovo Sito del PHC

Questo è il nuovo sito del PHC, realizzato in [Astro](https://astro.build/), un nuovo framework per realizzare siti web.

## Perché Astro?

Astro è un framework statico che ci consente di creare siti web veloci e performanti. Per ora il sito è completamente statico, ma Astro ci permetterà di passare facilmente a un modello di sito ibrido, con funzionalità dinamiche e interattive.

A differenza di altri framework, di base Astro non richiede JavaScript per funzionare, il che lo rende una scelta ideale per siti web leggeri e veloci.

## Caratteristiche del Nuovo Sito

Il nuovo sito unifica varie funzionalità che prima erano sparse in diversi siti web. I contenuti del sito dei Seminarietti verranno integrati nella sezione guide che ospiterà anche molte altre risorse utili. 

- **Lista Utenti**: La lista degli utenti di Poisson precedentemente presente sul sito era ordinata per nome e non era facile cercare un utente specifico. Ora la lista è ordinata in base alla data di creaizone dell'account e c'è una barra di ricerca fuzzy per cercare un utente e la sua pagina Poisson.

- **Guide**: La sezione guide ospiterà articoli, tutorial e risorse utili per gli studenti. Questa sezione sarà in costante aggiornamento con nuovi contenuti.

- **News**: La sezione news ospiterà gli novità e annunci importanti riguardanti il PHC.

- **Storia**: Questa sezione raccoglie la storia del PHC fin dalla creazione di Poisson nel lontano 1994, includendo tutti i vari macchinisti nel corso della tempo. 

## Cooming Soon

- **Appunti**: Stiamo lavorando ad una nuova sezione appunti unificata che raccoglierà tutte le dispense presenti su Poisson. Gli utenti potranno cercare gli appunti per corso e per professore e scaricarli in formato PDF.

- **Account Utente**: Prossimamente sarà possibile accedere al sito del PHC sia con un account Poisson che con un account di Ateneo. Gli utenti potranno recuperare le proprie credenziali Poisson (precedentemente esisteva il sito separato https://credenziali.phc.dm.unipi.it/ per questo scopo), modificare la propria password e visualizzare i propri appunti caricati.

## Conclusioni

Speriamo che il nuovo sito vi piaccia e vi sia utile. Se avete suggerimenti o richieste, non esitate a contattarci. Buona navigazione, magari iniziando dalla [pagina sulla storia del PHC](/storia)!

